## kali-archive-keyring 2020.2

=== Makefile ===
GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: keyrings/kali-archive-keyring.gpg

keyrings/kali-archive-keyring.gpg: active-keys/index
	mkdir -p keyrings
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -rf keyrings

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp keyrings/*.gpg $(DESTDIR)/usr/share/keyrings/

.PHONY: build clean install

=== debian/changelog ===
kali-archive-keyring (2020.2) kali-dev; urgency=medium

  * Fix build by adding missing --no-keyring

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 17 Jan 2020 21:45:59 +0100

kali-archive-keyring (2020.1) kali-dev; urgency=medium

  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file
  * Update expiration date of the archive key
  * Strip trust packets from generated keyrings

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 17 Jan 2020 19:15:25 +0100

kali-archive-keyring (2018.2) kali-dev; urgency=medium

  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Drop dependencies on gpgv and gnupg
  * Add Vcs-* and Rules-Require-Root fields

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 24 Jul 2019 17:09:53 +0200

kali-archive-keyring (2018.1) kali-dev; urgency=medium

  * Update expiration date of Kali's main key.
  * Update debhelper compat level.
  * Add autopkgtests to ensure the key will not expire in the next year.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 25 Jan 2018 12:17:49 +0100

kali-archive-keyring (2015.2) kali; urgency=medium

  * Update expiration date of Kali's main key.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 03 Feb 2015 16:24:14 +0100

kali-archive-keyring (2013.1) kali; urgency=low

  * Introduce kali-archive-keyring-udeb so that net-retriever can depend on
    it. This will ensure that we have the required keys on the initrd.
  * Synchronize dependencies with those of debian-archive-keyring 2012.4.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 18 Jan 2013 14:11:04 +0100

kali-archive-keyring (2012.03.07) kali; urgency=low

  * Initial release.
  
 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 07 Mar 2012 15:22:27 +0100

=== debian/control ===
Source: kali-archive-keyring
Priority: important
Section: misc
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends: debhelper (>= 10), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.1.3
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-archive-keyring.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-archive-keyring

Package: kali-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GnuPG archive keys of the Kali archive
 The Kali project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: kali-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: GnuPG keys of the Kali archive
 The Kali project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

=== debian/tests/control ===
Tests: test-key.sh
Depends: faketime, gpgv, @

## kali-archive-keyring 2025.1

=== Makefile ===
KEYRING := kali-archive-keyring.gpg

$(KEYRING): archive-key.asc archive-key-old.asc
	cat $^ | \
	gpg --no-keyring --no-default-keyring --no-auto-check-trustdb \
	    --no-options --import-options import-export \
	    --import > $@

.PHONY: clean
clean:
	rm -f $(KEYRING)

=== debian/changelog ===
kali-archive-keyring (2025.1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Add myself to Uploaders
  * New key, expires on 2028-04-17
  * Update standards version to 4.7.2, no changes needed

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 18 Apr 2025 15:37:02 +0700

kali-archive-keyring (2024.1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add d/watch

  [ Arnaud Rebillout ]
  * Update key (expiry date set to 2027-02-04)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 05 Feb 2024 11:59:19 +0700

kali-archive-keyring (2022.1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Ben Wilson ]
  * Update email address

  [ Arnaud Rebillout ]
  * Redo the package without jetring
  * Bump Standards-Version and debhelper compat
  * Update key (expiry date set to 2025-01-24)

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 25 Jan 2022 21:39:54 +0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Priority: important
 Section: misc
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
-Build-Depends: debhelper (>= 10), jetring, gnupg
+Uploaders:
+ Arnaud Rebillout <arnaudr@kali.org>,
+ Raphaël Hertzog <raphael@offensive-security.com>,
+Build-Depends: debhelper-compat (= 13), gnupg
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Vcs-Git: https://gitlab.com/kalilinux/packages/kali-archive-keyring.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-archive-keyring
